<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tei="http://www.tei-c.org/ns/1.0"
    exclude-result-prefixes="xs" version="2.0">

    <xsl:output method="text" encoding="UTF-8" media-type="text/plain"/>
   
    <xsl:template match="/"> var places = { data:[ <xsl:for-each select="//tei:place">
        <xsl:variable name="lat" select="substring-before(tei:location/tei:geo, ' ')"/>
        <xsl:variable name="lon" select="substring-after(tei:location/tei:geo, ' ')"/>
        <xsl:variable name="id" select="concat('#',@xml:id)"/>
        <xsl:variable name="entry">
            <xsl:text>{"lat": "</xsl:text><xsl:value-of select="$lat"/>
            <xsl:text>", "lon": "</xsl:text><xsl:value-of select="$lon"/>
            <xsl:text>", "title": "</xsl:text><xsl:value-of select="tei:placeName"/>
            <xsl:text>", "number": "</xsl:text><xsl:value-of select="count(//tei:placeName[@ref=$id])"/>
            <xsl:text>"}</xsl:text>
            
            <xsl:if test="position()!=last()"><xsl:text>,
        </xsl:text></xsl:if>
        </xsl:variable>
            <xsl:value-of select="$entry"/>
    </xsl:for-each><xsl:text> ]} </xsl:text></xsl:template>
</xsl:stylesheet>
